Package: haskell-llvm / 0.8.0.2-2

00-versioned-config.diff Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
Description: In debian, the llvm-config shell script for llvm-2.7 has been
 renamed to llvm-config-2.7. This patch fixes the configure script to use
 the debian version of the lvm-config script.
 .
 This patch is a debian only thing and has not been forwarded upstream.
Author: Erik de Castro Lopo <erikd@mega-nerd.com>
Last-Update: 2010-05-21

Index: haskell-llvm-0.8.0.2/configure
===================================================================
--- haskell-llvm-0.8.0.2.orig/configure
+++ haskell-llvm-0.8.0.2/configure
@@ -2455,7 +2455,7 @@
 fi
 
 # Extract the first word of "llvm-config", so it can be a program name with args.
-set dummy llvm-config; ac_word=$2
+set dummy llvm-config-2.7; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
 if test "${ac_cv_path_llvm_config+set}" = set; then
@@ -2482,8 +2482,8 @@
 done
 IFS=$as_save_IFS
 
-  test -z "$ac_cv_path_llvm_config" && ac_cv_path_llvm_config="{ { $as_echo "$as_me:$LINENO: error: could not find llvm-config in $llvm_bindir" >&5
-$as_echo "$as_me: error: could not find llvm-config in $llvm_bindir" >&2;}
+  test -z "$ac_cv_path_llvm_config" && ac_cv_path_llvm_config="{ { $as_echo "$as_me:$LINENO: error: could not find llvm-config-2.7 in $llvm_bindir" >&5
+$as_echo "$as_me: error: could not find llvm-config-2.7 in $llvm_bindir" >&2;}
    { (exit 1); exit 1; }; }"
   ;;
 esac